import { SingleChapterResult } from "./types/slightlyDifferentStory";

export const storyMiddleware = defineNuxtRouteMiddleware(async (to, from) => {
	const { getSession } = useAuth();
	await getSession({ force: true });
	const { data } = useAuth();
	console.log("to n from", to, from, data);
	const { data: story, error } = await useApiFetch<SingleChapterResult>(
		to.path,
	);
	console.log("fns", story, error);
	if (!data?.value?.user && story.value?.currentChapter.loggedInOnly) {
		return navigateTo("/login");
	}
});
